Bug 1427221 (CVE-2017-6312) - CVE-2017-6312 gdk-pixbuf: Out-of-bounds read in io-ico.c
Summary: CVE-2017-6312 gdk-pixbuf: Out-of-bounds read in io-ico.c
Status: CLOSED WONTFIX
Alias: CVE-2017-6312
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170221,reported=2...
Keywords: Security
Depends On: 1427225 1427226 1427229
Blocks: 1427223
TreeView+ depends on / blocked
 
Reported: 2017-02-27 15:55 UTC by Andrej Nemec
Modified: 2019-06-08 21:49 UTC (History)
21 users (show)

(edit)
An out-of-bounds read flaw was found in the way GdkPixbuf handled ICO format files. A maliciously crafted ICO file could cause the application using GdkPixbuf to crash.
Clone Of:
(edit)
Last Closed: 2017-04-26 04:16:57 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-27 15:55:12 UTC
An out-of-bounds read vulnerability was found in gdk-pixbuf. A maliciously crafted file could cause the application to crash.

References:

http://seclists.org/oss-sec/2017/q1/466
http://mov.sx/2017/02/21/bug-hunting-gdk-pixbuf.html

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=779012

Comment 1 Andrej Nemec 2017-02-27 16:03:01 UTC
Created gdk-pixbuf2 tracking bugs for this issue:

Affects: fedora-all [bug 1427225]


Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: fedora-all [bug 1427226]

Comment 2 Andrej Nemec 2017-02-27 16:13:35 UTC
Created mingw-gdk-pixbuf tracking bugs for this issue:

Affects: epel-7 [bug 1427229]


Note You need to log in before you can comment on or make changes to this bug.